My Project: dComplemtaritySolver Class Reference

My Project

Classes | Public Member Functions | List of all members
dComplemtaritySolver Class Reference

`#include <dLinearAlgebra.h>`

## Classes

class | dBilateralJoint
class | dBodyState
class | dContact
class | dFrictionLessContactJoint
class | dJacobian
class | dJacobianColum
class | dJacobianPair
class | dJointAccelerationDecriptor
class | dParamInfo
class | dPointDerivativeParam

## Public Member Functions

| dComplemtaritySolver ()
virtual | ~dComplemtaritySolver ()
virtual int | GetActiveJoints (dBilateralJoint **const jointArray, int bufferSize)
virtual int | BuildJacobianMatrix (int jointCount, dBilateralJoint **const jointArray, dFloat timestep, dJacobianPair *const jacobianArray, dJacobianColum *const jacobianColumnArray, int maxRowCount)
virtual void | CalculateReactionsForces (int bodyCount, dBodyState **const bodyArray, int jointCount, dBilateralJoint **const jointArray, dFloat timestep, dJacobianPair *const jacobianArray, dJacobianColum *const jacobianColumnArray)

## Constructor & Destructor Documentation

## § dComplemtaritySolver()

dComplemtaritySolver::dComplemtaritySolver | ( |  | ) |

inline

## § ~dComplemtaritySolver()

virtual dComplemtaritySolver::~dComplemtaritySolver | ( |  | ) |

inlinevirtual

## Member Function Documentation

## § BuildJacobianMatrix()

int dComplemtaritySolver::BuildJacobianMatrix | ( | int | jointCount,
|  | dBilateralJoint **const | jointArray,
|  | dFloat | timestep,
|  | dJacobianPair *const | jacobianArray,
|  | dJacobianColum *const | jacobianColumnArray,
|  | int | maxRowCount
| ) |  |

virtual

## § CalculateReactionsForces()

void dComplemtaritySolver::CalculateReactionsForces | ( | int | bodyCount,
|  | dBodyState **const | bodyArray,
|  | int | jointCount,
|  | dBilateralJoint **const | jointArray,
|  | dFloat | timestep,
|  | dJacobianPair *const | jacobianArray,
|  | dJacobianColum *const | jacobianColumnArray
| ) |  |

virtual

## § GetActiveJoints()

virtual int dComplemtaritySolver::GetActiveJoints | ( | dBilateralJoint **const | jointArray,
|  | int | bufferSize
| ) |  |

inlinevirtual

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/packages/dMath/dLinearAlgebra.h
- dynamics.mod/NewtonDynamics/packages/dMath/dLinearAlgebra.cpp